/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 Tobias Blaser, Otavio Huber, Willi Kernen, <contact@gridds.com>, GRiDDS GmbH
 ***************************************************************/

/**
 * use '$jQ' as alias for 'jQuery' instead of '$'
 * this prevents problems with other Javascript frameworks
 */
$jQ = jQuery;
$jQ(document).ready(function() {
	$jQ('div.tx-grdsLanguageMenu div.langMenu.noJS').removeClass('noJS');
	
	// opens the menu by clicking on it, closes the menu after by clicking everywhere
	$jQ('div.tx-grdsLanguageMenu div.langMenu div.menuButton').click(function(openEvent) {
		 if(!$jQ('.tx-grdsLanguageMenu .langMenu .menuContent').is(':visible')) {
			$jQ('.tx-grdsLanguageMenu .langMenu .menuContent').show();
			
			$jQ('body').click(function(closeEvent) {
				if($jQ(closeEvent.target).parents('.tx-grdsLanguageMenu .langMenu .menuContent').length == 0) {
					$jQ('.tx-grdsLanguageMenu .langMenu .menuContent').hide();
					$jQ(this).unbind(closeEvent);
				}				
			 });
			openEvent.stopPropagation();

		}
	});
});
